Bug 1150335 - switch hg repo steps to use hg not cvs. r=fox2mike
authorJustin Wood <Callek@gmail.com>
Wed, 15 Apr 2015 17:14:53 -0400
changeset 1219 a282f7d484f84ae383ad0e3c1bcd418e84cdf0e1
parent 1218 96098f7d2ead2553d62f5e742637a7bdb9b61a18
child 1220 1c9e47ef5b35379acf82dc56339eacf094ca09f9
push id2
push userCallek@gmail.com
push dateWed, 15 Apr 2015 21:15:21 +0000
reviewersfox2mike
bugs1150335
Bug 1150335 - switch hg repo steps to use hg not cvs. r=fox2mike
.cvsignore
.hgignore
bin/build
bin/build_full
etc/ttree.cfg
rename from .cvsignore
rename to .hgignore
--- a/bin/build
+++ b/bin/build
@@ -1,2 +1,2 @@
-cvs -q update -d -P
+hg pull -u
 ttree -f etc/ttree.cfg $@
--- a/bin/build_full
+++ b/bin/build_full
@@ -1,8 +1,8 @@
 cd /data/static/build/seamonkeyproject-org && \
-cvs -q up -dAP > /dev/null || exit 1
+hg pull -u > /dev/null || exit 1
 rm -f dest &&
 mkdir dest &&
 ttree -f etc/ttree.cfg $@
 rsync -a --delete dest/ /data/static/src/www.seamonkeyproject.org
 rm -rf dest && \
 ln -s /data/static/src/www.seamonkeyproject.org dest
--- a/etc/ttree.cfg
+++ b/etc/ttree.cfg
@@ -17,18 +17,18 @@ recurse
 
 # regexen of things that aren't templates and should be ignored
 ignore = \b(CVS|RCS)\b
 ignore = ^#
 ignore = ~$
 ignore = \.xml$
 ignore = \.xsl$
 ignore = \.var$
-# I should be able to do ^\.cvsignore$, but that doesn't work for some reason.
-ignore = \.cvsignore$
+# I should be able to do ^\.hgignore$, but that doesn't work for some reason.
+ignore = \.hgignore$
 ignore = Makefile$
 
 # ditto for things that should be copied rather than processed.
 copy = \.png$
 copy = \.ico$
 copy = \.gif$
 copy = \.jpg$
 copy = \.js$